## pamixer 1.4+git20210529

=== Makefile ===
LDLIBS   ?= -lpulse -lboost_program_options
CXXFLAGS ?= -std=c++11 -Wall -Werror -Wextra -pedantic
PREFIX   ?= /usr/local
RM       ?= rm -f

target   := pamixer
manpage  := pamixer.1
main     := $(addsuffix .cc,$(target))
objects  := $(addsuffix .o,callbacks device pulseaudio)

## Target if make is invoked without any parameters (goal)
.DEFAULT_GOAL: all

## "Virtual" targets without actual files to update/create
.PHONY: all clean distclean install


all: $(target)

$(target): $(main) $(objects)

clean:
	$(RM) $(objects)

distclean: clean
	$(RM) $(target)

install: pamixer
	install -d $(DESTDIR)$(PREFIX)/bin/
	install $(target) $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/man/man1/
	install $(manpage) $(DESTDIR)$(PREFIX)/man/man1/
	gzip $(DESTDIR)$(PREFIX)/man/man1/$(manpage)

=== debian/changelog ===
pamixer (1.4+git20210529-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.
  * Create makefile patch to change prefix location.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 24 Sep 2021 22:45:01 -0400

=== debian/control ===
Source: pamixer
Section: Audio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Clément Démoulins <clement@archivel.fr>
Build-Depends: debhelper-compat (= 13),
               libpulse-dev,
               libboost-program-options-dev
Standards-Version: 4.5.1
Homepage: https://github.com/cdemoulins/pamixer
#Vcs-Browser: https://salsa.debian.org/debian/pamixer
#Vcs-Git: https://salsa.debian.org/debian/pamixer.git
Rules-Requires-Root: no

Package: pamixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pulseaudio command-line mixer like amixer
 pamixer is like amixer but for pulseaudio. It can control the volume levels of 
 the sinks.
 .
 Features:
 - Get the current volume of the default sink, the default source or a selected 
 one by his id
 - Set the volume for the default sink, the default source or any other device
 - List the sinks and sources
 - Increase / Decrease the volume for a device (using gamma correction option)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## pamixer 1.6

=== debian/changelog ===
pamixer (1.6-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:43:49 +0200

=== debian/control ===
Source: pamixer
Section: sound
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 meson,
 libpulse-dev,
 libcxxopts-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/cdemoulins/pamixer
Vcs-Browser: https://salsa.debian.org/debian/pamixer
Vcs-Git: https://salsa.debian.org/debian/pamixer.git
Rules-Requires-Root: no

Package: pamixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pulseaudio command line mixer
 pamixer is like amixer but for pulseaudio. It can control the volume
 levels of the sinks.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/cdemoulins/pamixer/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
